MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > SpacewarpObject : Node > Spacewarp - Forces >

# PBomb : SpacewarpObject

    PBomb - superclass: SpacewarpObject; super-superclass:node - classID: #(1277169139, 439646839)

Value > MAXWrapper > Node > SpacewarpObject > Forces > PBomb

Constructor

    PBomb...

Properties

    <PBomb>.symmetry Integer default: 0

The shape, or pattern of the blast effect:

0-Spherical (The blast force radiates outward from the PBomb icon in all directions. The icon looks like a spherical anarchist's bomb.)

1-Cylindrical (The blast force radiates outward from and normal to the central axis, or core of the cylindrical icon. The icon looks like a stick of dynamite with a fuse.)

2-Planar (The blast force radiates both up and down, perpendicular to the plane of the planar icon. The icon looks like a plane with arrows pointing up and down along the direction of the blast force.)

    <PBomb>.chaos Float default: 10.0 -- percentage

The blast forces vary for each particle or each frame, an effect similar to Brownian motion, with a rate of change in the direction of force equal to the rendering interval rate.

    <PBomb>.Start_Time Time default: 30f

The frame number at which the impulse forces are first applied to the particles.

    <PBomb>.Lasts_For Time default: 1f

The number of frames, beyond the first, over which the forces are applied.

This value should typically be a small number, such as between 0 and 3.

    <PBomb>.strength Float default: 1.0 -- animatable

The change in velocity along the blast vector, in units per frame.

Increasing Strength increases the speed with which the particles are blown away from the bomb icon.

    <PBomb>.Decay_Type Integer default: 1

Sets the decay type:

0-Unlimited Range (The effects of the bomb icon reach all bound particles throughout the scene. This option ignores the Range setting, which specifies the distance of the PBomb effect.)

1-Linear (The impulse forces decay linearly between the full Strength setting to a value of 0 at the specified Range setting.)

2-Exponential (The impulse forces decay exponentially between the full Strength setting to a value of 0 at the specified Range setting.)

    <PBomb>.range Float default: 1000.0 -- animatable

The maximum distance, in units, over which the PBomb icon affects the bound particle system. If the Range is large enough to reach only a portion of the particle system, only that part of the system is affected.

    <PBomb>.Icon_Size Float default: 0.0

The overall size of the PBomb icon.

Associated Methods

    bindSpaceWarp <node> <pbomb_node>

Associated Binding Modifier

    PBombMod

This modifier is automatically created by the bindSpaceWarp() method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.

#### See Also

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods